Lists
curl --request GET \
--url 'https://api.themoviedb.org/3/tv/{{series_id}}/lists'import requests
url = "https://api.themoviedb.org/3/tv/{{series_id}}/lists"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.themoviedb.org/3/tv/{{series_id}}/lists', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 42705,
"page": 1,
"results": [
{
"description": "Just an awesome list.",
"favorite_count": 0,
"id": 8505719,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"name": "The most amazing List.",
"poster_path": null
},
{
"description": "Just those creepy unsettling or random movies etc",
"favorite_count": 0,
"id": 8505853,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11,
"name": "my world",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503128,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 261,
"name": "ANIME",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501555,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 3,
"name": "serie",
"poster_path": null
},
{
"description": "GwaGwa Church Official TV Show Backlog.",
"favorite_count": 0,
"id": 8254718,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 113,
"name": "TV Backlog",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 6927344,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 693,
"name": "Top Rated Series (minimum 100 votes) - IMDb",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8497231,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 52,
"name": "TVF_05",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8497172,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"name": "Fighting Spirit",
"poster_path": null
},
{
"description": "Movies and shows that I would like to recommend to everyone. Some are my favs and some are too good that I cannot help but praise them.",
"favorite_count": 0,
"id": 8246123,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 125,
"name": "Movies and Shows that I recommend",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8428313,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 84,
"name": "My anime list",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8309148,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 39,
"name": "Watched TV Shows",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8309676,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 80,
"name": "get er done",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8307601,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 82,
"name": "Animes que he visto",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8270059,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 10,
"name": "P10",
"poster_path": null
},
{
"description": "Reyujays Tagalog List\r\nMovies and TV Series Tagalog Collection",
"favorite_count": 0,
"id": 8302682,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 790,
"name": "Reyujays Tagalog List",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 6927356,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 900,
"name": "Top Rated Series (minimum 1000 votes) - IMDb",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 146567,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 186,
"name": "Anime Series",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8279523,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 102,
"name": "Anime Series",
"poster_path": null
},
{
"description": "Where you could watch whatever you want to watching likewise mobile services to help you stay connected with your business partners with.",
"favorite_count": 0,
"id": 8272772,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 41,
"name": "All Movies Starts",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7104246,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 63,
"name": "Anime",
"poster_path": null
}
],
"total_pages": 2,
"total_results": 34
}TV Series
Lists
Get the lists that a TV series has been added to.
GET
/
3
/
tv
/
{series_id}
/
lists
Lists
Path Parameters
Response
200 - application/json
Lists
Example:
42705
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"description": "Just an awesome list.",
"favorite_count": 0,
"id": 8505719,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"name": "The most amazing List.",
"poster_path": null
},
{
"description": "Just those creepy unsettling or random movies etc",
"favorite_count": 0,
"id": 8505853,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 11,
"name": "my world",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8503128,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 261,
"name": "ANIME",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8501555,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 3,
"name": "serie",
"poster_path": null
},
{
"description": "GwaGwa Church Official TV Show Backlog.",
"favorite_count": 0,
"id": 8254718,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 113,
"name": "TV Backlog",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 6927344,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 693,
"name": "Top Rated Series (minimum 100 votes) - IMDb",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8497231,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 52,
"name": "TVF_05",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8497172,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 2,
"name": "Fighting Spirit",
"poster_path": null
},
{
"description": "Movies and shows that I would like to recommend to everyone. Some are my favs and some are too good that I cannot help but praise them.",
"favorite_count": 0,
"id": 8246123,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 125,
"name": "Movies and Shows that I recommend",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8428313,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 84,
"name": "My anime list",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8309148,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 39,
"name": "Watched TV Shows",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8309676,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 80,
"name": "get er done",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8307601,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 82,
"name": "Animes que he visto",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8270059,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 10,
"name": "P10",
"poster_path": null
},
{
"description": "Reyujays Tagalog List\r\nMovies and TV Series Tagalog Collection",
"favorite_count": 0,
"id": 8302682,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 790,
"name": "Reyujays Tagalog List",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 6927356,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 900,
"name": "Top Rated Series (minimum 1000 votes) - IMDb",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 146567,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 186,
"name": "Anime Series",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 8279523,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 102,
"name": "Anime Series",
"poster_path": null
},
{
"description": "Where you could watch whatever you want to watching likewise mobile services to help you stay connected with your business partners with.",
"favorite_count": 0,
"id": 8272772,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 41,
"name": "All Movies Starts",
"poster_path": null
},
{
"description": "",
"favorite_count": 0,
"id": 7104246,
"iso_3166_1": "US",
"iso_639_1": "en",
"item_count": 63,
"name": "Anime",
"poster_path": null
}
]
Example:
2
Example:
34